import { array, boolean, lazy, nullable, object, optional, string, } from '../schema';
import { v1MoneySchema } from './v1Money';
import { v1PaymentTaxSchema } from './v1PaymentTax';
export const v1PaymentSurchargeSchema = object({
    name: ['name', optional(nullable(string()))],
    appliedMoney: ['applied_money', optional(lazy(() => v1MoneySchema))],
    rate: ['rate', optional(nullable(string()))],
    amountMoney: ['amount_money', optional(lazy(() => v1MoneySchema))],
    type: ['type', optional(string())],
    taxable: ['taxable', optional(nullable(boolean()))],
    taxes: ['taxes', optional(nullable(array(lazy(() => v1PaymentTaxSchema))))],
    surchargeId: ['surcharge_id', optional(nullable(string()))],
});
//# sourceMappingURL=v1PaymentSurcharge.js.map