import { array, lazy, nullable, object, optional, string, } from '../schema';
import { v1MoneySchema } from './v1Money';
import { v1SettlementEntrySchema } from './v1SettlementEntry';
export const v1SettlementSchema = object({
    id: ['id', optional(string())],
    status: ['status', optional(string())],
    totalMoney: ['total_money', optional(lazy(() => v1MoneySchema))],
    initiatedAt: ['initiated_at', optional(nullable(string()))],
    bankAccountId: ['bank_account_id', optional(nullable(string()))],
    entries: [
        'entries',
        optional(nullable(array(lazy(() => v1SettlementEntrySchema)))),
    ],
});
//# sourceMappingURL=v1Settlement.js.map